BlockStatement (groovy 3.0.9 API)

Package: org.codehaus.groovy.ast.stmt

## [Java] Class BlockStatement

- org.codehaus.groovy.ast.stmt.BlockStatement

-     public class BlockStatement
      extends Statement

  A list of statements and a scope.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BlockStatement ()`
    `BlockStatement (List<Statement> statements, VariableScope scope)` Creates a BlockStatement with a scope and children statements.
    `BlockStatement (Statement[] statements, VariableScope scope)` Creates a BlockStatement with a scope and children statements.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addStatement(Statement statement)`
    `` | `public void` | `addStatements(List<Statement> listOfStatements)`
    `` | `public List<Statement>` | `getStatements()`
    `` | `public String` | `getText()`
    `` | `public VariableScope` | `getVariableScope()`
    `` | `public boolean` | `isEmpty()`
    `` | `public void` | `setVariableScope(VariableScope scope)`
    `` | `public String` | `toString()`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `cancel, isClosed, getConnection, getFetchSize, getWarnings, setFetchDirection, clearWarnings, getFetchDirection, setFetchSize, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getResultSetType, enquoteIdentifier, getMaxFieldSize, getQueryTimeout, setCursorName, setMaxFieldSize, getMoreResults, getMoreResults, setMaxRows, clearBatch, getMaxRows, executeBatch, setPoolable, closeOnCompletion, isPoolable, setLargeMaxRows, getLargeMaxRows, executeLargeBatch, getGeneratedKeys, executeQuery, getUpdateCount, setQueryTimeout, getResultSet, isSimpleIdentifier, addBatch, enquoteLiteral, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, setEscapeProcessing, getLargeUpdateCount, getResultSetHoldability, getResultSetConcurrency, enquoteNCharLiteral, isCloseOnCompletion, execute, execute, execute, execute, close, isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### public BlockStatement()

    - #### public BlockStatement(List<Statement> statements, VariableScope scope)

      Creates a BlockStatement with a scope and children statements.

      Parameters:
        `statements` - the statements. Do not pass null. If you do, no exception will occur, but a NullPointerException will eventually occur later. Also, a reference to the list is kept, so modifying the List later does effect this class.
        `scope` - the scope

    - #### public BlockStatement(Statement[] statements, VariableScope scope)

      Creates a BlockStatement with a scope and children statements.

      Parameters:
        `statements` - the statements, which cannot be null or an exception occurs. No reference to the array is held, so modifying the array later has no effect on this class.
        `scope` - the scope

  - ### Method Detail

    - #### public void addStatement(Statement statement)

    - #### public void addStatements(List<Statement> listOfStatements)

    - #### public List<Statement> getStatements()

    - #### public String getText()

    - #### public VariableScope getVariableScope()

    - #### public boolean isEmpty()

    - #### public void setVariableScope(VariableScope scope)

    - #### public String toString()

    - #### public void visit(GroovyCodeVisitor visitor)